Subject: Re: bug#30556: [PATCH] Python tests should run with multiple python versions

From: Bogdan <[email-masked]>
Date: Mon, 27 Mar 2023 12:48:52 +0200

Karl Berry <[email-masked]>, Mon Mar 27 2023 00:47:18 GMT+0200 
(Central European Summer Time)
>      Subject: bug#30556: [PATCH] Python tests should run with multiple python
>       versions
> 
> Thanks Bogdan (for this and other recent patches).

  Glad to help. :)

>      I guess this got fixed in the repository
> 
> Yes, Mike (Frysinger) has installed several Python-related patches since
> the last release. And I think others are still pending.

  Yes, I saw a few commits in the history. I didn't dig deeper into 
them, but I saw that some at least touched one of the areas pointed to 
by this bug, so I simply assumed the commits fixed this bug "by the way".
  Python support looks more complicated than I thought (install 
source, complied objects, compiled-optimized objects, one time in 
"lib", the other - in "lib64", ...), but this at least was something I 
more-or-less understand and could help with.

> I've kind of
> lost track of the current situation.
> 
> (Myself, I remain blocked due to the random test failure
> problem. Someday I'll get back to Automake, I hope, but not this week. :()

  Since the defects I understand and maybe can fix are becoming fewer 
and fewer, I'm looking at that myself as well. Right now, I still 
insist the problem is in autom4te, but I'll need to do more analysis 
and testing.

-- 
Regards - Bogdan ('bogdro') D.                 (GNU/Linux & FreeDOS)
X86 assembly (DOS, GNU/Linux):    http://bogdro.evai.pl/index-en.php
Soft(EN): http://bogdro.evai.pl/soft  http://bogdro.evai.pl/soft4asm
www.Xiph.org  www.TorProject.org  www.LibreOffice.org  www.GnuPG.org